org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class SubscriberStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.SubscriberStageVerification

    public class SubscriberStageVerification
    extends java.lang.Object

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `subscriberStageShouldRedeemCompletionStageWhenCompleted()`
`void` `subscriberStageShouldRedeemCompletionStageWhenFailed()`
`void` `subscriberStageShouldRedeemCompletionStageWithCancellationExceptionWhenCancelled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### subscriberStageShouldRedeemCompletionStageWhenCompleted

    public void subscriberStageShouldRedeemCompletionStageWhenCompleted()

#### subscriberStageShouldRedeemCompletionStageWhenFailed

    public void subscriberStageShouldRedeemCompletionStageWhenFailed()

#### subscriberStageShouldRedeemCompletionStageWithCancellationExceptionWhenCancelled

    public void subscriberStageShouldRedeemCompletionStageWithCancellationExceptionWhenCancelled()